ReflectionClass::isInstantiable
ReflectionClass::isInternal
ReflectionClass
PHP Manual

# ReflectionClass::isInterface

(PHP 5)

ReflectionClass::isInterface — Checks if the class is an interface

### Description

public bool ReflectionClass::isInterface ( void )

Checks whether the class is an interface.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Basic usage of ReflectionClass::isInterface()

`<?php
interface SomeInterface {
public function interfaceMethod();
}
$class = new ReflectionClass('SomeInterface');
var_dump($class->isInterface());
?>`

The above example will output:

    bool(true)

### See Also

- ReflectionClass::isInstance() - Checks class for instance

ReflectionClass::isInstantiable
ReflectionClass::isInternal
ReflectionClass
PHP Manual